Bug 1470976 - Edit Autoscaler page does not show scale up/down button in the input fields in iPad Pro & iPhone Safari.
Summary: Edit Autoscaler page does not show scale up/down button in the input fields i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.7.0
Assignee: Samuel Padgett
QA Contact: XiaochuanWang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-14 07:40 UTC by xipang
Modified: 2017-11-28 22:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, on iOS Safari, number inputs used the full keyboard rather than the number input. Now inputs that accept only numbers show the iOS number pad for easier entry.
Clone Of:
Environment:
Last Closed: 2017-11-28 22:01:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
iphone is fixed as expected (72.80 KB, image/png)
2017-10-13 09:17 UTC, XiaochuanWang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description xipang 2017-07-14 07:40:36 UTC
Description of problem:
Edit Autoscaler page does not show scale up/down button in the input fields in iPad Pro & iPhone Safari.

Version-Release number of selected component (if applicable):
openshift v3.6.144
kubernetes v1.6.1+5115d708d7

How reproducible:
Always

Steps to Reproduce:
1.Create rc
$ oc run myrun-rc --image=yapei/hello-openshift --generator=run-controller/v1

2.Create HPA from the replication controller page
Add name,Min replicas(2),Max replicas(10),Target CPU Utilization

Actual results:
2.no show scale up/dwon button at end of input fields

Expected results:
2.Should show sacle up/down button

Additional info:

Comment 2 openshift-github-bot 2017-07-20 00:47:43 UTC
Commit pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/59d62673976b2a0ed523ae2b78baca89e41c98a8
Bug 1470976 - Support number input on iOS

For the iOS keyboard to prompt for numbers, the inputs must have a
`pattern` attribute of digits.

Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1470976

Comment 4 Yadan Pei 2017-10-13 08:51:11 UTC
Checked on 3.7.0-0.147.0, only issue on iPhone is fixed.

Still reproduces on iPad. The full keyboard rather than the number input was used on iPad.

Comment 5 XiaochuanWang 2017-10-13 09:17:18 UTC
Created attachment 1338165 [details]
iphone is fixed as expected

Comment 6 XiaochuanWang 2017-10-13 09:25:56 UTC
According to Comment 1, this is fixed on ipad and iPhone, please see the screenshot. Verified on OpenShift v3.7.0-0.147.1

Comment 7 Samuel Padgett 2017-10-13 11:50:47 UTC
> Still reproduces on iPad. The full keyboard rather than the number input was used on iPad.

The iPad doesn't have a number-only keyboard, so this is expected. The change should affect the iPhone.

It's working as intended.

Comment 10 errata-xmlrpc 2017-11-28 22:01:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.